签署我的合同信封
curl --request POST \
--url https://api.qbank.cl/platform/v1/me/contracts/envelopes/{envelopeID}/sign \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-OTP-Token: <x-otp-token>' \
--data '
{
"signer_name": "Jordan Lee",
"signer_title": "Chief Executive Officer",
"consent": true,
"signature_png": "<PNG_BASE64_SIGNATURE>"
}
'import requests
url = "https://api.qbank.cl/platform/v1/me/contracts/envelopes/{envelopeID}/sign"
payload = {
"signer_name": "Jordan Lee",
"signer_title": "Chief Executive Officer",
"consent": True,
"signature_png": "<PNG_BASE64_SIGNATURE>"
}
headers = {
"X-OTP-Token": "<x-otp-token>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-OTP-Token': '<x-otp-token>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
signer_name: 'Jordan Lee',
signer_title: 'Chief Executive Officer',
consent: true,
signature_png: '<PNG_BASE64_SIGNATURE>'
})
};
fetch('https://api.qbank.cl/platform/v1/me/contracts/envelopes/{envelopeID}/sign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qbank.cl/platform/v1/me/contracts/envelopes/{envelopeID}/sign",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'signer_name' => 'Jordan Lee',
'signer_title' => 'Chief Executive Officer',
'consent' => true,
'signature_png' => '<PNG_BASE64_SIGNATURE>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-OTP-Token: <x-otp-token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.qbank.cl/platform/v1/me/contracts/envelopes/{envelopeID}/sign"
payload := strings.NewReader("{\n \"signer_name\": \"Jordan Lee\",\n \"signer_title\": \"Chief Executive Officer\",\n \"consent\": true,\n \"signature_png\": \"<PNG_BASE64_SIGNATURE>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-OTP-Token", "<x-otp-token>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.qbank.cl/platform/v1/me/contracts/envelopes/{envelopeID}/sign")
.header("X-OTP-Token", "<x-otp-token>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"signer_name\": \"Jordan Lee\",\n \"signer_title\": \"Chief Executive Officer\",\n \"consent\": true,\n \"signature_png\": \"<PNG_BASE64_SIGNATURE>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qbank.cl/platform/v1/me/contracts/envelopes/{envelopeID}/sign")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-OTP-Token"] = '<x-otp-token>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"signer_name\": \"Jordan Lee\",\n \"signer_title\": \"Chief Executive Officer\",\n \"consent\": true,\n \"signature_png\": \"<PNG_BASE64_SIGNATURE>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "7c9e2f1a-4b3c-4d5e-8f60-1a2b3c4d5e6f",
"status": "completed",
"final_hash": "sha256-of-the-final-pdf",
"signed_at": "2026-10-01T14:03:12Z"
}
签署我的合同信封
需要 owner/operator 人工会话、明确同意以及 X-OTP-Token 中的新 OTP。
POST
/
v1
/
me
/
contracts
/
envelopes
/
{envelopeID}
/
sign
签署我的合同信封
curl --request POST \
--url https://api.qbank.cl/platform/v1/me/contracts/envelopes/{envelopeID}/sign \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-OTP-Token: <x-otp-token>' \
--data '
{
"signer_name": "Jordan Lee",
"signer_title": "Chief Executive Officer",
"consent": true,
"signature_png": "<PNG_BASE64_SIGNATURE>"
}
'import requests
url = "https://api.qbank.cl/platform/v1/me/contracts/envelopes/{envelopeID}/sign"
payload = {
"signer_name": "Jordan Lee",
"signer_title": "Chief Executive Officer",
"consent": True,
"signature_png": "<PNG_BASE64_SIGNATURE>"
}
headers = {
"X-OTP-Token": "<x-otp-token>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-OTP-Token': '<x-otp-token>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
signer_name: 'Jordan Lee',
signer_title: 'Chief Executive Officer',
consent: true,
signature_png: '<PNG_BASE64_SIGNATURE>'
})
};
fetch('https://api.qbank.cl/platform/v1/me/contracts/envelopes/{envelopeID}/sign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qbank.cl/platform/v1/me/contracts/envelopes/{envelopeID}/sign",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'signer_name' => 'Jordan Lee',
'signer_title' => 'Chief Executive Officer',
'consent' => true,
'signature_png' => '<PNG_BASE64_SIGNATURE>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-OTP-Token: <x-otp-token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.qbank.cl/platform/v1/me/contracts/envelopes/{envelopeID}/sign"
payload := strings.NewReader("{\n \"signer_name\": \"Jordan Lee\",\n \"signer_title\": \"Chief Executive Officer\",\n \"consent\": true,\n \"signature_png\": \"<PNG_BASE64_SIGNATURE>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-OTP-Token", "<x-otp-token>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.qbank.cl/platform/v1/me/contracts/envelopes/{envelopeID}/sign")
.header("X-OTP-Token", "<x-otp-token>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"signer_name\": \"Jordan Lee\",\n \"signer_title\": \"Chief Executive Officer\",\n \"consent\": true,\n \"signature_png\": \"<PNG_BASE64_SIGNATURE>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qbank.cl/platform/v1/me/contracts/envelopes/{envelopeID}/sign")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-OTP-Token"] = '<x-otp-token>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"signer_name\": \"Jordan Lee\",\n \"signer_title\": \"Chief Executive Officer\",\n \"consent\": true,\n \"signature_png\": \"<PNG_BASE64_SIGNATURE>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "7c9e2f1a-4b3c-4d5e-8f60-1a2b3c4d5e6f",
"status": "completed",
"final_hash": "sha256-of-the-final-pdf",
"signed_at": "2026-10-01T14:03:12Z"
}
授权
会话 JWT(来自注册/登录)或 API key(pk_...)。
也接受 X-API-Key: <token> 作为替代请求头。
请求头
路径参数
请求体
application/json
响应
已完成的信封。